OPT(1)

NAME
opt - LLVM optimizer

SYNOPSIS
opt [options] [filename]

DESCRIPTION
The opt command is the modular LLVM optimizer. It takes LLVM bytecode as input, runs the specified optimizations on it, and then outputs the optimized LLVM bytecode.

The optimizations available via opt depend upon what libraries were linked into it as well as any additional libraries that have been loaded with the -load option. Use the -help option to determine what optimizations you can use.

If no filename is specified on the command line, opt reads its input from standard input.

If an output filename is not specified with the -o option, opt writes its output to the standard output.

OPTIONS

-f  Force overwrite. Normally, opt will refuse to overwrite an output file that already exists. With this option, opt will overwrite the output file and replace it with new bytecode.

-help
    Print a summary of command line options.

-o filename
    Specify the output filename.

-profile-info-file filename
    Specify the name of the file loaded by the -profile-loader option.

-stats
    Print statistics.

-time-passes
    Record the amount of time needed for each pass and print it to standard error.

-debug
    If this is a debug build, this option will enable debug printouts from passes which use the DEBUG() macro. See the LLVM Programmer's Manual, section #DEBUG for more information.

-load=plugin
    Load the dynamic object plugin. This object should register new optimization passes. Once loaded, the object will add new command line options to enable various optimizations. To see the new complete list of optimizations, use the -help and -load options together:

        opt -load=plugin -help

-p  Print module after each transformation.

EXIT STATUS
If opt succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

SEE ALSO
analyze

AUTHORS
Maintained by the LLVM Team (<http://llvm.org>).